import { jsx } from "react/jsx-runtime";
import { TokenZKB as TokenZKB$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenZKB = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "ZKB", "data-name": "TokenZKB", ...props, children: /* @__PURE__ */ jsx(TokenZKB$1, { variant }) });
  }
);
TokenZKB.displayName = "TokenZKB";
Object.assign(TokenZKB, { isGdsIcon: true });
export {
  TokenZKB
};
